'use strict';

const pkg = require('../package.json');
const Payments = require('./resources/payments');
const Payouts = require('./resources/payouts');

class PayerMax {
  constructor(options = {}) {
    this.VERSION = pkg.version;

    const { secretKey, env } = options;

    if (!secretKey) {
      throw new Error('secretKey is required!');
    }

    if (!env) {
      options.env = 'prod';
    }

    this.payments = new Payments(options);
    this.payouts = new Payouts(options);
  }
}

module.exports = PayerMax;
