'use strict';

const Request = require('../utils/request');
const { payouts } = require('../config');

class Payouts {
  constructor(options = {}) {
    const { secretKey, env, merchantId, https = {}} = options;
    this.api = new Request({
      config: {
        hostname: payouts[env]['hostname'],
        path: payouts[env]['path'],
        ...https
      },
      merchantId,
      secretKey
    });
  }

  // common api
  post(data) {
    return this.api.post(data);
  }

  // create order
  create(data) {
    return this.api.post({
      bizType: 'singlePayment',
      version: '2.0',
      ...data
    });
  }

  // query payouts result
  queryResult(data) {
    return this.api.post({
      version: '2.0',
      bizType: 'paymentTransQry',
      ...data
    });
  }
}

module.exports = Payouts;
